Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface NamedConfigElement

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter

All Known Subinterfaces:
  AdminObjectResourceConfig, AppClientModuleConfig, AuditModuleConfig, AuthRealmConfig, ClusterConfig, ClusteredServerConfig, ConfigConfig, ConnectorConnectionPoolConfig, ConnectorModuleConfig, ConnectorResourceConfig, CustomResourceConfig, EJBModuleConfig, HTTPListenerConfig, IIOPListenerConfig, J2EEApplicationConfig, JDBCConnectionPoolConfig, JDBCResourceConfig, JMSResourceConfig, JMXConnectorConfig, JNDIResourceConfig, LifecycleModuleConfig, MailResourceConfig, MessageSecurityConfig, ModuleConfig, PersistenceManagerFactoryResourceConfig, ProfilerConfig, ProviderConfig, RARModuleConfig, ResourceAdapterConfig, ResourceConfig, ServerConfig, StandaloneServerConfig, ThreadPoolConfig, VirtualServerConfig, WebModuleConfig

public interface NamedConfigElement
extends ConfigElement

Marker interface for a ConfigElement that has a name.

Field Summary

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.